Package org.apache.jmeter.samplers

# Interface Sampler

All Superinterfaces:
  `Cloneable`, `Serializable`, `org.apache.jmeter.testelement.TestElement`

All Known Implementing Classes:
  `AbstractSampler`, `AccessLogSampler`, `AjpSampler`, `BaseJMSSampler`, `BeanShellSampler`, `BoltSampler`, `BSFSampler`, `DebugSampler`, `FTPSampler`, `HTTPSampler`, `HTTPSamplerBase`, `HTTPSamplerProxy`, `JavaSampler`, `JDBCSampler`, `JMSSampler`, `JSR223Sampler`, `JUnitSampler`, `LDAPExtSampler`, `LDAPSampler`, `MailReaderSampler`, `MongoScriptSampler`, `PublisherSampler`, `SmtpSampler`, `SubscriberSampler`, `SystemSampler`, `TCPSampler`, `TestAction`, `TransactionSampler`

public interface Sampler extends Serializable, org.apache.jmeter.testelement.TestElement
Classes which are able to generate information about an entry should implement this interface.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.jmeter.testelement.TestElement

  `org.apache.jmeter.testelement.TestElement.Companion`

- ## Field Summary

  ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

  `COMMENTS, Companion, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SampleResult`
  `sample(Entry e)`
  Obtains statistics about the given Entry, and packages the information into a SampleResult.

  ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

  `addTestElement, canRemove, clear, clearTestElementChildren, clone, get, get, get, get, get, get, get, get, get, getComment, getName, getOrCreate, getOrCreate, getOrNull, getOrNull, getOrNull, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getPropertyOrNull, getPropertyOrNull, getProps, getSchema, getString, getThreadContext, getThreadName, isEnabled, isRunningVersion, isTemporary, propertyIterator, recoverRunningVersion, removed, removeProperty, removeProperty, set, set, set, set, set, set, set, set, set, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse`

- ## Method Details

  - ### sample

    SampleResult sample(Entry e)
    Obtains statistics about the given Entry, and packages the information into a SampleResult.
    Parameters:
      `e` - the Entry (TODO seems to be unused)
    Returns:
      information about the sample